Bug 41058 - Can't see source when hitting debugger statement in evaled source
Summary: Can't see source when hitting debugger statement in evaled source
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Yury Semikhatsky
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-23 05:41 PDT by Martin Häcker
Modified: 2010-07-08 02:07 PDT (History)
8 users (show)

See Also:


Attachments
Patch (7.17 KB, patch)
2010-06-25 05:57 PDT, Yury Semikhatsky
no flags Details | Formatted Diff | Diff
Patch (7.76 KB, patch)
2010-06-25 06:29 PDT, Yury Semikhatsky
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Häcker 2010-06-23 05:41:38 PDT
In this case it's function created at runtime in a js framework I think

To be more precise it's a testcase in jspec <http://visionmedia.github.com/jspec/> so if you need to reduce further you can just place a 'debugger;' statement in one of the tests there.
Comment 1 Martin Häcker 2010-06-23 05:41:55 PDT
I'd like to add that this works great in Safari 5
Comment 2 Yury Semikhatsky 2010-06-25 05:57:30 PDT
Created attachment 59762 [details]
Patch
Comment 3 Yury Semikhatsky 2010-06-25 06:29:17 PDT
Created attachment 59763 [details]
Patch
Comment 4 Yury Semikhatsky 2010-06-25 06:33:14 PDT
Comment on attachment 59763 [details]
Patch

Committed r61859